Skip to main content
GET
/
v2
/
dexscr
/
{chain}
/
ads
DexScreener - Ads
curl --request GET \
  --url https://api.chainstream.io/v2/dexscr/{chain}/ads \
  --header 'Authorization: Bearer <token>'
[
  {
    "chain": "sol",
    "tokenAddress": "So11111111111111111111111111111111111111112",
    "adType": "<string>",
    "date": "<string>",
    "durationHours": 123,
    "impressions": 123,
    "url": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Query Parameters

limit
integer<int64>
default:20

Number of results to return

Required range: 1 <= x <= 100

Response

200 - application/json

Successful response

chain
string
required

Blockchain network identifier

Example:

"sol"

tokenAddress
string
required

Token contract address

Example:

"So11111111111111111111111111111111111111112"

adType
string | null

Ad type (e.g. banner)

date
string | null

Ad start date

durationHours
integer<int64> | null

Ad duration in hours

impressions
integer<int64> | null

Total ad impressions count

url
string | null

DexScreener token page URL